Subject: RE: sockets on WinNT and UNIX
From: [email-masked]

20 Mar 1997 19:10:29 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi, you wrote:

: I have made two small programs : a client send a message on a socket and
: the server just respond.
: When I compile both program on Unix (of course with gcc) and I execute
: the two programs on Unix, it works.
: When I compile both program on WinNT (with gcc-cygnus-2.7.1-960712)
: and I execute the two programs on WinNT, it works.
: But when I tried to make a connection between the client on WinNT and
: the server on Unix, I have a "connection refused" message.

Sounds like the classic byteorder problem! You probably forgot htons() on
the port number, needed both on the client and server for portability.

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".